
Foreman - Bug #4652

error when running tests from ide

03/13/2014 02:52 PM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Settings   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I get

/config/initializers/fix_cache.rb:10:in `<top (required)>': undefined method `value' for nil:NilClass (NoMethodError)

when running specific test from the ide (not rake task).

Related issues:

Is duplicate of Foreman - Bug #4607: fix cache initialization sometimes fails Duplicate 03/10/2014

History

#1 - 03/13/2014 02:56 PM - Dominic Cleal

- Is duplicate of Bug #4607: fix cache initialization sometimes fails added

#2 - 03/13/2014 02:57 PM - Dominic Cleal

- Status changed from New to Duplicate

Running the rake test first should populate the test DB, which should get around this bug (#4607).

#3 - 03/13/2014 03:00 PM - Dominic Cleal

- Category set to Settings

- Status changed from Duplicate to Ready For Testing

- Assignee set to Amos Benari

- Target version set to 1.9.0

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1296

#4 - 03/14/2014 07:42 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

Closing manually, since the revision was referring to #4607
